From e9dbcc3e88810caf3e303e3f1b106574bb68b8d3 Mon Sep 17 00:00:00 2001
From: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date: Sat, 10 Jan 2015 03:34:51 -0800
Subject: [PATCH 2002/2008] Update CheckArches to fallback on Intel/ppc if ld
 -v doesn't report supported architectures

Older versions of ld64 (eg: Xcode 3.x) do not report this.

http://www.llvm.org/bugs/show_bug.cgi?id=22182

Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
---
 make/platform/clang_darwin.mk | 2 ++
 1 file changed, 2 insertions(+)

diff --git llvm_release_37/projects/compiler-rt/make/platform/clang_darwin.mk macports_release_37/projects/compiler-rt/make/platform/clang_darwin.mk
index 4e869d6..1893ad4 100644
--- llvm_release_37/projects/compiler-rt/make/platform/clang_darwin.mk
+++ macports_release_37/projects/compiler-rt/make/platform/clang_darwin.mk
@@ -25,6 +25,8 @@ CheckArches = \
           if $(LD) -v 2>&1 | grep "configured to support" \
              | tr ' ' '\n' | grep "^$$arch$$" >/dev/null 2>/dev/null; then \
             result="$$result$$arch "; \
+          elif ! ( $(LD) -v 2>&1 | grep -q "configured to support" ) && test "$$arch" = "i386" -o "$$arch" = "x86_64" -o "$$arch" = "ppc" -o "$$arch" = "ppc64" ; then \
+            result="$$result$$arch "; \
           else \
             printf 1>&2 \
             "warning: clang_darwin.mk: dropping arch '$$arch' from lib '$(2)'";\
-- 
2.6.2

